Search found 42 matches

by pinn
September 8th, 2020, 3:45 am
Forum: General Discussion
Topic: SABYenc module... NOT found! Expecting v3.3.1 [Debian 9]
Replies: 6
Views: 144

Re: SABYenc module... NOT found! Expecting v3.3.1 [QNAP]

safihre wrote:
September 8th, 2020, 3:42 am
Are you actually on QNAP as the name of this topic suggests?
Because then you should use the Sherpa script that handles all of this for you.
SOrry, should have said, this is Debian 9
by pinn
September 8th, 2020, 3:34 am
Forum: General Discussion
Topic: SABYenc module... NOT found! Expecting v3.3.1 [Debian 9]
Replies: 6
Views: 144

Re: SABYenc module... NOT found! Expecting v3.3.1 [QNAP]

safihre wrote:
September 8th, 2020, 3:19 am
sudo /usr/local/bin/python3.8 -m pip install -r requirements.txt
Throws an error: https://pastebin.com/9aZ77kuS


Failed to build sabyenc3 cheetah3 cryptography cffi
ERROR: Could not build wheels for cryptography which use PEP 517 and cannot be installed directly
by pinn
September 8th, 2020, 3:17 am
Forum: General Discussion
Topic: SABYenc module... NOT found! Expecting v3.3.1 [Debian 9]
Replies: 6
Views: 144

Re: SABYenc module... NOT found! Expecting v3.3.1 [QNAP]

Yep that works but gives the same error that I had when using req.txt [email protected]:~/sabnzbd$ sudo /usr/local/bin/python3.8 -m pip install cheetah Collecting cheetah Using cached Cheetah-2.4.4.tar.gz (190 kB) ERROR: Command errored out with exit status 1: command: /usr/local/bin/python3.8 -c 'import sy...
by pinn
September 8th, 2020, 2:43 am
Forum: General Discussion
Topic: SABYenc module... NOT found! Expecting v3.3.1 [Debian 9]
Replies: 6
Views: 144

Re: SABYenc module... NOT found! Expecting v3.3.1 [QNAP]

Good that it works. Regarding this subject (more than one python installation on a system), this might be relevant for installing sabyenc via pip into the correct python installation: /path/to/python2.{5,6} /path/to/pip install PackageName or more general: /path/to/python /path/to/pip install Packa...
by pinn
September 5th, 2020, 9:00 am
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

Spoke to soon, while it is running , it is running v1.1.1 . I used these instructions: From the standard Debian contrib repository First make sure you have the Debian repository contrib activated. Then sudo apt-get install sabnzbdplus I then used the git instructions on the same page and all install...
by pinn
September 5th, 2020, 3:24 am
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

strange - it just started working. I just opened kodi webinterface at 192.168.0.10 then tried sab again and works both on local and external network
Cheers for the help as this was really annoying me! :)
by pinn
September 5th, 2020, 3:18 am
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

192.168.0.10 refused to connect.
by pinn
September 5th, 2020, 3:00 am
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

http://192.168.0.10/8080/sabnzbd

I'm also using noip so it's accessible from outside network but that's currently not working either
by pinn
September 5th, 2020, 2:48 am
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

OK, then you need to put the IP address of the device hosting SABnzbd into your browser address bar. If you use localhost or 127.0.0.1 in your browser, this is a request to your PC, not the server. ;) Doh! APologies as it's a while since I've done a clean set up. Progress - it says 'file not found'...
by pinn
September 5th, 2020, 2:30 am
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

OneCD wrote:
September 5th, 2020, 2:19 am
Just to confirm: are you attempting UI access with a browser running on the same device running SABnzbd?
hi. no it's headless. I'm using another PC on same network
by pinn
September 5th, 2020, 2:13 am
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

cheers safihre. I hadn't seen this and just ended up installing via your git instructions. Seems to run fine but I can't access the webui at all at http://127.0.0.1:8080/sabnzbd. ANy ideas? Set your listening address to 0.0.0.0 (not 127.0.0.1). Edit the SABnzbd config file directly to do this. ;) S...
by pinn
September 4th, 2020, 12:08 pm
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

cheers safihre. I hadn't seen this and just ended up installing via your git instructions. Seems to run fine but I can't access the webui at all at http://127.0.0.1:8080/sabnzbd. ANy ideas? ^[email protected]:~/sabnzbd$ ./SABnzbd.py ./SABnzbd.py:44: CryptographyDeprecationWarning: Python 3.5 support will b...
by pinn
September 3rd, 2020, 12:23 pm
Forum: Debian/Ubuntu Package
Topic: Error updating to v3 [OSMC / Debian]
Replies: 24
Views: 1285

Re: Error updating to v3 [OSMC / Debian]

Hi, Had to reinstall my OS and doing sab now. I am trying to install the requirements using the guide here https://sabnzbd.org/wiki/extra/python3.html but am running into these errors. I have python 3.8 installed and the latest stable release of sab. Terminal output here https://pastebin.com/PScnhFm...
by pinn
June 29th, 2020, 1:31 pm
Forum: Debian/Ubuntu Package
Topic: update to RC1
Replies: 4
Views: 522

Re: update to RC1

As usual with me, user error. Thanks for your help both.
v3 is performing really well also - great work!
by pinn
June 29th, 2020, 5:00 am
Forum: Debian/Ubuntu Package
Topic: update to RC1
Replies: 4
Views: 522

Re: update to RC1

Hi, I meant by following the instructions From github This is like running from source but you can update easily: git clone https://github.com/sabnzbd/sabnzbd.git cd sabnzbd git checkout master To update, go into the sabnzbd git directory, and type: git pull Run SABnzbd like this, from the directory...